#
# Conditional build:
%bcond_without	fluid	# disable fluidsynth support

%ifnarch %{ix86} %{x8664}
%undefine	with_fluid	# fluidsynth support disabled for arch !ix86 !amd64
%endif

Summary:	Linux Music Editor
Summary(pl.UTF-8):	Edytor muzyczny dla Linuksa
Name:		muse
Version:	2.1.2
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/lmuse/%{name}-%{version}.tar.gz
# Source0-md5:	ad917335ac05a3d62e3cd073af901001
Source1:	%{name}.desktop
Patch0:		%{name}-CMakeLists.txt.patch
URL:		http://muse.seh.de/
BuildRequires:	QtDesigner-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtUiTools-devel
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dssi-devel >= 0.9.0
%{?with_fluid:BuildRequires:	fluidsynth-devel >= 0.9.0}
BuildRequires:	jack-audio-connection-kit-devel >= 0.103
BuildRequires:	ladspa-devel
BuildRequires:	lash-devel >= 0.2
BuildRequires:	liblo >= 0.23
BuildRequires:	libsamplerate-devel >= 0.1.0
BuildRequires:	libsndfile-devel >= 1.0.25
BuildRequires:	libuuid-devel >= 0.1.8
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	lash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MusE is a MIDI/Audio sequencer with recording and editing
capabilities.

%description -l pl.UTF-8
MuSE jest sekwencerem MIDI/Audio z możliwościami nagrywania i edycji.

%package doc
Summary:	Manual for %{name}
Summary(pl.UTF-8):	Podręcznik dla MusE
Group:		Documentation

%description doc
Documentation for %{name}.

%description doc -l pl.UTF-8
Dokumentacja do anta.

%prep
%setup -q
%patch0 -p0

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p packaging/muse_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/muse.png

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/synthi/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc ChangeLog README  README.de README.effects-rack README.instruments README.ladspaguis README.shortcuts README.softsynth README.translate README.usage SECURITY NEWS COPYING AUTHORS
%attr(755,root,root) %{_bindir}/muse2
%attr(755,root,root) %{_bindir}/grepmidi
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/synthi
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/*
%attr(755,root,root) %{_libdir}/%{name}/synthi/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/demos
%dir %{_datadir}/%{name}/drummaps
%dir %{_datadir}/%{name}/instruments
%dir %{_datadir}/%{name}/locale
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/presets
%dir %{_datadir}/%{name}/pybridge
%dir %{_datadir}/%{name}/scoreglyphs
%dir %{_datadir}/%{name}/scripts
%dir %{_datadir}/%{name}/templates
%dir %{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/utils
%dir %{_datadir}/%{name}/wallpapers
%{_datadir}/mime/packages/muse.xml
%{_datadir}/muse/didyouknow.txt
%{_datadir}/muse/splash.png
%{_datadir}/%{name}/demos/*
%{_datadir}/%{name}/drummaps/*
%{_datadir}/%{name}/instruments/*
%{_datadir}/%{name}/locale/*
%{_datadir}/%{name}/plugins/*
%{_datadir}/%{name}/presets/*
%{_datadir}/%{name}/pybridge/*
%{_datadir}/%{name}/scoreglyphs/*
%{_datadir}/%{name}/scripts/*
%{_datadir}/%{name}/templates/*
%{_datadir}/%{name}/themes/*
%{_datadir}/%{name}/utils/*
%{_datadir}/%{name}/wallpapers/*
%{_desktopdir}/muse.desktop
%{_pixmapsdir}/muse.png
%{_mandir}/man1/*
%{_iconsdir}/hicolor/64x64/apps/muse_icon.png

%files doc
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/muse_html
%dir %{_docdir}/%{name}/muse_html/single
%dir %{_docdir}/%{name}/muse_html/split
%dir %{_docdir}/%{name}/muse_html/single/documentation
%dir %{_docdir}/%{name}/muse_html/single/developer_docs
%dir %{_docdir}/%{name}/muse_html/split/documentation
%dir %{_docdir}/%{name}/muse_html/split/developer_docs
%dir %{_docdir}/%{name}/muse_pdf
%{_docdir}/%{name}/muse_pdf/*.pdf
%{_docdir}/%{name}/muse_html/single/documentation/*
%{_docdir}/%{name}/muse_html/single/developer_docs/*
%{_docdir}/%{name}/muse_html/split/documentation/*
%{_docdir}/%{name}/muse_html/split/developer_docs/*


%changelog
* Sat Jun 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/muse.git;a=log;h=master

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 8aa11bc
- sed switched to patch
- rel 2 for stbr

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 1d70170
- Merge branch 'master' of git://git.pld-linux.org/packages/muse

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 1ddf0e1
- removed outdated patch: muse-libtool.patch
- added muse-CMakeLists.txt.patch for linking problems (X11) and change
  muse-version install name to muse

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> da17769
- use G: doc for -doc; deps for icon cache updating

* Tue May 28 2013 Lukasz Glebicki <blekot@pld-linux.org> 6308a8e
- up to 2.1.2
- updated desktop file to muse2
- build switched to cmake
- new BRs
- R: lash
- removed ladcca and pch bcond
- removed patch0 (outdated)
- used sed to change install dircetory name
- added doc package for HTML/PDF files

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> 0d89782
- use preferred %{!?...} instead of %{?!...}

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 12ddd30
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Apr 09 2007 shadzik <shadzik@pld-linux.org> 9ac89a1
- mass attack: qt-devel epoch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a13c1b7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0763436
- converted to UTF-8

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c7ce58
- use x8664 macro

* Fri Apr 15 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> b4ee16e
- really undefine fluid support for arch !x86,amd64

* Tue Mar 22 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 640c106
- fluid support disabled for arch !ix86 !amd64
- rel. 0.3 STBR AC-test

* Tue Mar 22 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 7b441cc
- added icon
- rel. 0.2 STBR AC-test

* Tue Mar 22 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 4cd5e49
- added icon

* Tue Mar 22 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> d1584dd
- fixed build *.lo files

* Tue Mar 22 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> a378bf7
- added -libtool.patch - fixed build *.lo files

* Wed Mar 16 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 2c1dfc8
- use __libtoolize, BR: libtool

* Wed Mar 16 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> a43e667
- BR: libsamplerate-devel >= 0.1.0

* Thu Mar 03 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> e60684f
- updated to 0.7.1

